Bug 247547 - net-im/libnice update to 0.1.18
Summary: net-im/libnice update to 0.1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jesper Schmitz Mouridsen
URL:
Keywords: patch
Depends on:
Blocks: 219444
  Show dependency treegraph
 
Reported: 2020-06-25 19:59 UTC by Jesper Schmitz Mouridsen
Modified: 2020-11-28 15:02 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
update to 0.1.17 and use meson (12.41 KB, patch)
2020-06-25 19:59 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
update to 0.1.17 and use meson (11.85 KB, patch)
2020-10-17 18:11 UTC, Jesper Schmitz Mouridsen
jsm: maintainer-approval? (gnome)
Details | Diff
updated patch (5.72 KB, patch)
2020-11-21 00:46 UTC, Steve Wills
no flags Details | Diff
adds workaround for pyhton in meson (7.97 KB, patch)
2020-11-25 17:10 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Schmitz Mouridsen freebsd_committer 2020-06-25 19:59:14 UTC
Created attachment 215944 [details]
update to 0.1.17 and use meson

Update to 0.1.17 and switch to meson (autoconf/gnu configure fails on 0.1.17 version)
build logs at http://build.schmitz.computer/build.html?mastername=121amd64-janus&build=2020-06-25_21h46m31s

I have not tested runtime..
Comment 1 Oleh Hushchenkov 2020-09-27 17:42:41 UTC
Any news? This update is required to build gstreamer's webrtc plugin.
Comment 2 Jesper Schmitz Mouridsen freebsd_committer 2020-10-17 18:11:06 UTC
Created attachment 218843 [details]
update to 0.1.17 and use meson

Do not specify minor python version
Comment 3 Steve Wills freebsd_committer 2020-11-21 00:46:30 UTC
Created attachment 219845 [details]
updated patch

Here's an updated version for 0.1.18. Any objection to committing this with timeout?
Comment 4 Jesper Schmitz Mouridsen freebsd_committer 2020-11-21 13:10:22 UTC
(In reply to Steve Wills from comment #3)
Hi

I'll commit your updated patch with maintainer timeout.

Thanks.
Comment 5 Jesper Schmitz Mouridsen freebsd_committer 2020-11-25 17:10:40 UTC
Created attachment 219972 [details]
adds workaround for pyhton in meson

In poudriere meson cannot find python, if specified
see https://github.com/mesonbuild/meson/issues/4128
So I've patched the docs meson.build to not specify python.
Comment 6 commit-hook freebsd_committer 2020-11-28 14:58:55 UTC
A commit references this bug:

Author: jsm
Date: Sat Nov 28 14:58:17 UTC 2020
New revision: 556495
URL: https://svnweb.freebsd.org/changeset/ports/556495

Log:
  net-im/libnice update to 0.1.18

  PR: 247547
  Submitted by: swills
  Approved by: maintainer timeout

Changes:
  head/net-im/libnice/Makefile
  head/net-im/libnice/distinfo
  head/net-im/libnice/files/configure.ac
  head/net-im/libnice/files/patch-Makefile.in
  head/net-im/libnice/files/patch-configure
  head/net-im/libnice/files/patch-docs_reference_libnice_meson.build
  head/net-im/libnice/files/patch-gst_Makefile.in
  head/net-im/libnice/pkg-plist